package connexion;

import javafx.beans.property.BooleanProperty;
import javafx.beans.property.SimpleBooleanProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;


public class Connexion {

	private StringProperty login;
    private StringProperty password;
    
    
    Connexion(String login, String password){
    	this.login = new SimpleStringProperty(login);
    	this.password = new SimpleStringProperty(password);

    }
    
    Connexion(){
    	this.login = new SimpleStringProperty("");
    	this.password = new SimpleStringProperty("");

    }
    
    public StringProperty loginProperty() {
    	return login;
    }
    
    public StringProperty passwordProperty() {
    	return password;
    }
    
    public BooleanProperty isVide() {
    	
    	BooleanProperty retour = new SimpleBooleanProperty(false);
    	
    	if(login.get().isEmpty() || password.get().isEmpty()) {
    		retour.set(true); 
    	}
    	
    	return retour;
    	
    }
    
    public void vider() {
    	
    	this.login = new SimpleStringProperty("");
    	this.password = new SimpleStringProperty("");  
    	
   }
    
    
    @Override
    public String toString() {
    	
    	return login.get() + " - " + password.get();
    }
        
    
    
}